Name:		fermilab-conf_sssd
Version:	1.0
Release:	8.2
Summary:	Configure SSSD to permit FNAL Kerberos authentication

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov

Source0:	%{name}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils bash 

%if 0%{?rhel} < 9
BuildRequires: systemd
%else
BuildRequires: systemd-rpm-macros
%endif

Requires:	coreutils util-linux bash
Requires:	sssd sssd-krb5
Requires(post): which
%if 0%{?rhel} < 8
Requires(post): authconfig
%else
Requires(post): authselect
Recommends:	libsss_simpleifp
Suggests:	libsss_simpleifp sssd-tools
%endif
Requires(post):  augeas systemd /usr/lib/systemd/system/sssd.service
Requires(preun): augeas systemd /usr/lib/systemd/system/sssd.service

%if 0%{?rhel} > 7
# SL7 rpm name
Provides: fermilab-conf_kerberos-local-passwords
%endif

%description
The default configuration of Enterprise Linux is to require local passwords,
which may not be suitable for all situations.

This RPM will update the SSSD configuration to permit FNAL Kerberos
passwords to be used in addition to any local passwords.


%prep
%setup -q -n %{name}

%build


%install
rm -rf %{buildroot}
%{__install} -D fermilab-conf_sssd.sh %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh
%{__install} -D FNAL.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/FNAL.conf
%{__install} -D fix_bz_1636002.conf %{buildroot}/%{_unitdir}/sssd-pam.service.d/fix_bz_1636002.conf

%clean
rm -rf %{buildroot}

%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%post  -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}
%preun -p /bin/bash
CURRENT_INSTALLS_OF_THIS_PACKAGE=${1:-0}

%{_libexecdir}/%{name}/%{name}.sh ${CURRENT_INSTALLS_OF_THIS_PACKAGE}

%files
%defattr(0644,root,root,0755)
%doc
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sssd/conf.d/FNAL.conf
%attr(0750,root,root) %{_libexecdir}/%{name}/%{name}.sh
%attr(0644,root,root) %{_unitdir}/sssd-pam.service.d/fix_bz_1636002.conf

%changelog
* Tue May 04 2021 Pat Riehecky <riehecky@fnal.gov> 1.0-8
- More clarity in augeas matches

* Tue Feb 16 2021 Pat Riehecky <riehecky@fnal.gov> 1.0-7
- SSSD seems to be more strict about where pwfield lives

* Wed Apr 22 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-6.1
- quietly Fix BZ1636002

* Tue Apr 21 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-6
- Primary servers are DNS SRV, fall back to hard coded

* Tue Apr 21 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-5.2
- Just let the krb_ccache fall through

* Mon Apr 20 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-5.1
- Fix dir typo

* Fri Apr 17 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-5
- Force authselect config on EL8+ when config status is messed up
- Better use of socket actived sssd settings

* Fri Mar 13 2020 Pat Riehecky <riehecky@fnal.gov> 1.0-4
- Newest SSSD is more strict on config file syntax

* Mon Dec 16 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-3.1
- Also provide fermilab-conf_kerberos-local-passwords

* Mon Dec 16 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-3
- Better fall back behavior for EL7

* Thu Sep 19 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-2
- Use socket services rather than explicit config

* Fri Jul 19 2019 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build for EL7
